package pro.requena.tfm;

import java.io.PrintWriter;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.List;

public class CoeficientsMFCC {
	public boolean gravarCSV(List<double[]> mfcc) {
		try {
			Files.deleteIfExists(Paths.get("mfcc.csv"));
			PrintWriter out = new PrintWriter("mfcc.csv");

			for (double[] data : mfcc) {
				for (int i=0;i<data.length;i++)
					out.print((data[i] + ";").replace(".", ","));
				out.println();
			}

			out.flush();
			out.close();

		} catch (Exception e) {
			e.printStackTrace();
		}

		return false;
	}
}
